Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604905 - Some portion of chinese fonts show as filled rectangular
Some portion of chinese fonts show as filled rectangular
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 20:37 EDT by Chien-Chung Yeh
Modified: 2010-10-18 01:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: wesnoth-1.8.5-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-18 01:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wrong font rendering before the patch (249.98 KB, image/jpeg)
2010-06-16 20:37 EDT, Chien-Chung Yeh
no flags Details
Correct font rendering after the patch (250.62 KB, image/jpeg)
2010-06-16 20:39 EDT, Chien-Chung Yeh
no flags Details

  None (edit)
Description Chien-Chung Yeh 2010-06-16 20:37:51 EDT
Created attachment 424621 [details]
Wrong font rendering before the patch

Description of problem:
as title.

Version-Release number of selected component (if applicable):
1.8.1-1.fc13

How reproducible:
Always

Steps to Reproduce:
1. Execute "wesnoth"
2. "Menu" ->  "Language" -> "Chinese Traditional" -> "Change language"
3.
  
Actual results:
Some portion of chinese fonts show as filled rectangular.

Expected results:
All fonts show correctly.

Additional info:
Refer to file "/usr/share/wesnoth/data/hardwired/fonts.cfg", the following patch will fix this problem:
--- wesnoth.spec.orig   2010-06-17 07:50:56.000000000 +0800
+++ wesnoth.spec        2010-06-17 08:00:07.000000000 +0800
@@ -136,7 +136,7 @@ ln -s /usr/share/fonts/dejavu/DejaVuSans
 # sazanami-fonts-gothic
 ln -s /usr/share/fonts/sazanami-fonts-gothic/sazanami-gothic.ttf $RPM_BUILD_ROOT/%{_datadir}/%{name}/fonts/sazanami-gothic.ttf
 # wqy-zenhei-fonts
-ln -s /usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc $RPM_BUILD_ROOT/%{_datadir}/%{name}/fonts/wqy-zenhei-gb2312.ttf
+ln -s /usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc $RPM_BUILD_ROOT/%{_datadir}/%{name}/fonts/wqy-zenhei.ttc
 
 %find_lang %{name}.\*


(After test, it works for Traditional Chinese, Simplified Chinese and Japanese.)
Comment 1 Chien-Chung Yeh 2010-06-16 20:39:46 EDT
Created attachment 424622 [details]
Correct font rendering after the patch
Comment 2 Michael Schwendt 2010-10-05 09:35:46 EDT
Could this be included in the current test-update for F-14?
Comment 3 Gwyn Ciesla 2010-10-05 16:22:17 EDT
I'll see that it does.
Comment 4 Fedora Update System 2010-10-06 08:50:05 EDT
wesnoth-1.8.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wesnoth-1.8.5-2.fc14
Comment 5 Fedora Update System 2010-10-07 15:52:37 EDT
wesnoth-1.8.5-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wesnoth'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/wesnoth-1.8.5-2.fc14
Comment 6 Fedora Update System 2010-10-18 01:39:20 EDT
wesnoth-1.8.5-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.